# Method: projects.locations.entryGroups.entries.modifyEntryOverview

- [HTTP request](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/modifyEntryOverview#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/modifyEntryOverview#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/modifyEntryOverview#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/modifyEntryOverview#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/modifyEntryOverview#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/modifyEntryOverview#body.aspect)
- [Try it!](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/modifyEntryOverview#try-it)

> [!WARNING]
> Data Catalog is deprecated. Please use Dataplex Universal Catalog instead.

Modifies entry overview, part of the business context of an `https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`.

To call this method, you must have the `datacatalog.entries.updateOverview` IAM permission on the corresponding project.

### HTTP request

`POST https://datacatalog.googleapis.com/v1/{name}:modifyEntryOverview`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The full resource name of the entry. It takes the form `projects/{project}/locations/{location}/entryGroups/{entrygroup}/entries/{entries}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entryOverview": { object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#EntryOverview`) } } ``` |

| Fields ||
|---|---|
| `entryOverview` | ``object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#EntryOverview`)`` Required. The new value for the Entry Overview. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#EntryOverview`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).